import { mdsvex } from 'mdsvex';
import staticAdapter from '@sveltejs/adapter-static';
import svp from 'svelte-preprocess';
import slug from './src/lib/slug.js';


const config = {
    extensions: ['.svelte', '.svx'],
    preprocess: [
        mdsvex({
            layout: './src/lib/Post.svelte',
            rehypePlugins: [slug],
        }),
        svp.scss(),
    ],
    kit: {
        // hydrate the <div id="svelte"> element in src/app.html
        adapter: staticAdapter(),
    }
};

export default config;
